> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Attach hostname to brokerage firm

> Associates a hostname with the specified brokerage firm.



## OpenAPI

````yaml /openapi.json post /brokerage-firms/{brokerageFirmId}/hostnames
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /brokerage-firms/{brokerageFirmId}/hostnames:
    post:
      tags:
        - brokerage-firms
      summary: Attach hostname to brokerage firm
      description: Associates a hostname with the specified brokerage firm.
      operationId: BrokerageFirmController_attachHostnameToBrokerageFirm
      parameters:
        - name: brokerageFirmId
          required: true
          in: path
          description: Brokerage firm id
          schema:
            type: string
      requestBody:
        required: true
        description: Hostname to attach to the brokerage firm
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AttachHostnameToBrokerageFirmBody'
      responses:
        '200':
          description: Hostname attached successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AttachHostnameToBrokerageFirmOutput'
components:
  schemas:
    AttachHostnameToBrokerageFirmBody:
      type: object
      properties:
        hostname:
          type: string
          description: Hostname
      required:
        - hostname
    AttachHostnameToBrokerageFirmOutput:
      type: object
      properties: {}

````